Name:		mediaarchiver
Version:	0.3.0.1
Release:	alt0
Summary:	Store your computer portable media in a list
Source0:	%name-%version.tar.gz
Patch0:		%name-0.3.0.1-desktop.diff
Url:		http://media-archiver.odprtakoda.org/
Group:		Databases
License:	GPLv2
Packager:	Motsyo Gennadi <drool@altlinux.ru>

# Automatically added by buildreq on Sat Oct 27 2007 (-bi)
BuildRequires: gcc-c++ ImageMagick libqt4-devel libXext-devel

%description
Store your computer portable media in a list. Manage to who you
lended or from whom you borrowed a piece of media from. Or if
you just want to make a list of your media for faster finding of
a DVD i.e., so you don't dig through your pile just to find out
that you don't have that piece at home.

%prep
%setup -q
%patch0 -p1

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%make INSTALL_ROOT=%buildroot install

# icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 src/images/ma.xpm %buildroot%_liconsdir/%name.png
convert -resize 32x32 src/images/ma.xpm %buildroot%_niconsdir/%name.png
convert -resize 16x16 src/images/ma.xpm %buildroot%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_iconsdir/hicolor/*/apps/%name.png
%_desktopdir/%name.desktop

%changelog
* Sat Oct 27 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.0.1-alt0
- initial build for ALT Linux
